> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/chang-jian-cuo-wu-dai-ma/direct-card-api-kou-kuan-zhuang-tai-shuo-ming.md).

# Direct Card API 扣款状态说明

<table><thead><tr><th width="235.6328125">状态</th><th width="194.52685546875">描述</th><th>是否为最终状态</th><th>沙盒环境是否支持</th></tr></thead><tbody><tr><td>processing</td><td>表示支付已发起，但尚未完成或失败</td><td>否</td><td>否</td></tr><tr><td>authorized</td><td>表示支付已成功授权</td><td>否</td><td>是</td></tr><tr><td>waiting_for_shopper_action</td><td>表示扣款正在等待用户操作完成</td><td>否</td><td>是</td></tr><tr><td>waiting_capture_approval</td><td>表示 Coda 正等待您的响应，以确认是否执行扣款</td><td>否</td><td>是</td></tr><tr><td>capture_initiated</td><td>表示已对已授权的交易启动资金扣款操作</td><td>否</td><td>否</td></tr><tr><td>succeeded</td><td>表示支付已成功扣款，资金将在结算后转移</td><td>是</td><td>是</td></tr><tr><td>failed</td><td>表示支付尝试失败</td><td>是</td><td>是</td></tr><tr><td>canceled</td><td>表示支付尝试已被取消</td><td>是</td><td>否</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/chang-jian-cuo-wu-dai-ma/direct-card-api-kou-kuan-zhuang-tai-shuo-ming.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
